Home

# Class goog.graphics.StrokeAndFillElement

Interface for a graphics element with a stroke and fill. This is the base interface for ellipse, rectangle and other shape interfaces. You should not construct objects from this constructor. The graphics will return an implementation of this interface for you.

extends goog.graphics.Element

Instance Method Summary
| `getFill() ⇒ ?goog.graphics.Fill`
| `getStroke() ⇒ ?goog.graphics.Stroke`
| `reapplyStroke()` Re-strokes the element to react to coordinate size changes.
| `setFill(?goog.graphics.Fill fill)` Sets the fill for this element.
| `setStroke(?goog.graphics.Stroke stroke)` Sets the stroke for this element.